EUSCALE-SET-INSTANCE-HEALTH(1)

NAME
euscale-set-instance-health - Manually set an auto-scaling instance's health status

SYNOPSIS
euscale-set-instance-health -s {Healthy,Unhealthy}

[--respect-grace-period]
    [--no-respect-grace-period] [-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY] [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] INSTANCE

DESCRIPTION
Manually set an auto-scaling instance's health status

  positional arguments:

INSTANCE
    ID of the instance to update (required)

  optional arguments:

-s {Healthy,Unhealthy}, --status {Healthy,Unhealthy}
    new status (required)

--respect-grace-period
    respect the associated auto-scaling group's grace period (this is the default)

--no-respect-grace-period
    ignore the associated auto-scaling group's grace period (default: respect the group's grace period)

-U URL, --url URL
    auto-scaling service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit